Bug 1854151 - Adding an S2I application after selecting all projects creates a form that can never be submitted
Summary: Adding an S2I application after selecting all projects creates a form that ca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Rohit Rai
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-06 15:17 UTC by Jessica Forrester
Modified: 2020-10-27 16:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:12:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6207 0 None closed Bug 1854151: Add project list page in developer catalog for all projects 2020-09-09 22:56:05 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:12:46 UTC

Description Jessica Forrester 2020-07-06 15:17:06 UTC
In the developer perspective go to the all projects page.
Then choose to +Add and pick one of the builder images like node.js.

This form can not be submitted until there is a namespace, but there is no way to set the namespace. Worse, there is nothing indicating to the user why they can't actually submit the form.

Expected: this page should provide the namespace picker form field when it's in the context of "all projects".

Comment 1 Jessica Forrester 2020-07-06 15:22:51 UTC
Sam let me know that going to the add page in an all projects scope should not even be possible. So here is how I did that:

1) From the scope of any namespace, go into Add and choose the From Catalog option
2) In the namespace picker in the top of the page, switch it to All Projects

You will stay on the catalog page, but your context is now all projects, letting you pick the builder image and get into the form in an invalid state.

Comment 5 Gajanan More 2020-08-24 09:11:20 UTC
I have validated the bugzilla on:

Build: 4.6.0-0.nightly-2020-08-23-214712

Browser: Google Chrome Version 84.0.4147.89 

 Marking this as verified.

Comment 7 errata-xmlrpc 2020-10-27 16:12:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.